<div class="min-h-screen bg-odb-50 w-full">
  <main class="w-full h-full flex flex-wrap justify-center items-center">
    <div
      class="w-full bg-odb-800 mb-12 lg:mb-24 p-4 pb-6 flex justify-between items-center"
    >
      <div
        class="flex items-center hover:cursor-pointer"
        routerLink="/admin-dashboard"
      >
        <i class="bi bi-arrow-left text-2xl text-gray-100 mr-4"></i>
        <span class="font-odb text-2xl text-gray-100"> Volver</span>
      </div>
      <button
        (click)="logOut()"
        class="px-4 py-2 text-gray-100 border-2 rounded border-gray-100 hover:bg-odb-400"
      >
        Cerrar sesión
        <i class="bi bi-door-closed ml-4"></i>
      </button>
    </div>
    <div class="w-full px-4 lg:px-24">
      <h2 class="text-2xl font-odb font-bold text-gray-800 uppercase mb-4">
        Provincias
      </h2>
      <div class="w-full flex flex-wrap">
        <div
          *ngFor="let province of provinces"
          class="w-fit py-2 px-4 bg-odb-50 rounded-lg m-2 shadow-xl border border-odb-300 text-odb-500 text-lg hover:bg-odb-200 hover:shadow-sm hover:cursor-pointer"
          (click)="openZone(province, 'prov')"
        >
          <h2>{{ province.name | titlecase }}</h2>
        </div>
      </div>
    </div>
  </main>
</div>

<div class="overlay w-full h-full" *ngIf="zoneSelected">
  <section>
    <h2 class="text-2xl font-odb font-bold text-gray-800 uppercase mb-4">
      Zona seleccionada: {{ selectedZone?.name }}
    </h2>
    <div class="info">
      <p>
        Esta zona se encuentra actualmente
        <span
          [ngClass]="{
            'block text-2xl mt-4 text-center font-bold uppercase': true,
            'text-green-600': isEnabled,
            'text-red-500': !isEnabled
          }"
          >{{ isEnabled ? 'habilidata' : 'deshabilitada' }}</span
        >
      </p>
    </div>
    <div class="actions flex justify-center mt-8">
      <button
        (click)="toggleZone()"
        [ngClass]="{
          'px-4 py-2 py-2 m-2 border-2 text-white rounded font-bold': true,
          'bg-green-600 border-green-800 hover:bg-green-800': !isEnabled,
          'bg-red-600 border-red-800 hover:bg-red-800': isEnabled
        }"
      >
        {{ isEnabled ? 'Deshabilitar' : 'Habilitar' }}
      </button>
      <button
        (click)="closeZone()"
        class="px-8 py-2 m-2 border-2 border-gray-700 text-odb-800 rounded font-bold"
      >
        Cerrar
      </button>
    </div>
  </section>
</div>
